<div>

    <!-- RETRIEVE TREE NODE BY PATH -->
    <div class="form-container">
        <mat-card>
            <mat-card-title>
                <p>Retrieve Rocket Node</p>
            </mat-card-title>
            <mat-card-content>
                <mat-form-field>
                    <mat-label>Rocket Node Path</mat-label>
                    <input matInput #rocketPathInput id="rocket-path" type="text" placeholder="/Rocket1/Stage1" value=""
                        name="rocketPath" (keyup)="searchByPath(rocketPathInput.value)" />
                    <mat-hint>
                        Type the path for a rocket node. Try: "/Rocket1".
                    </mat-hint>
                </mat-form-field>
            </mat-card-content>
        </mat-card>
    </div> <!-- END RETRIEVE TREE NODE BY PATH -->

    <!-- RENDER FOUND TREE NODE -->
    <div class="rockets-display-container">
        <ng-template [ngIf]="foundRocketNode">
            <mat-card>
                <mat-card-content>
                    <app-rockets-display [rocketNode]="foundRocketNode"
                        (deleteRocketNodeEvent)="deleteRocketNode($event)" />
                </mat-card-content>
            </mat-card>
        </ng-template>
    </div> <!-- END RENDER FOUND TREE NODE -->

</div>